from argparse import ArgumentParser
import pandas
import seaborn as sns
import matplotlib.pyplot as plt
import numpy as np

def visualize(df):
    sns.set_theme()
    df = df.append({
        'budget': 'baseline',
        'eps': 0.001,
        'adv_eval': 0.8639,
        'nat_eval': 0.9469
    }, ignore_index=True)
    df = df.append({
        'budget': 'baseline',
        'eps': 0.002,
        'adv_eval': 0.7235,
        'nat_eval': 0.9469
    }, ignore_index=True)
    df = df.append({
        'budget': 'baseline',
        'eps': 0.004,
        'adv_eval': 0.4953,
        'nat_eval': 0.9469
    }, ignore_index=True)
    df = df.drop(['adv_eval'], axis=1).fillna('baseline')
    # nonclean_df, clean_df = df[df.strategy != 'baseline'], df[df.strategy == 'baseline'].drop(['budget'], axis=1)
    # merged_results = pandas.merge(clean_df, nonclean_df[['budget', 'eps']], how='left', on='eps')
    # merged_results = pandas.concat([merged_results, nonclean_df])
    fig = sns.barplot(
        x='eps', y='nat_eval',
        data=df,
        hue='budget'
    ) 
    print(df)
    # plt.ylim(0.942, 0.950)
    plt.ylim(0.4)
    plt.show()
       


def main():
    parser = ArgumentParser()
    parser.add_argument('--info_path')
    args = parser.parse_args()
    df = pandas.read_pickle(args.info_path)
    visualize(df)

if __name__ == '__main__':
    main()
